using System.ComponentModel.DataAnnotations;

namespace CarneiroTech.Models;

public class ContactFormModel
{
    [Required(ErrorMessage = "Nome é obrigatório")]
    public string Name { get; set; } = string.Empty;

    [Required(ErrorMessage = "Email é obrigatório")]
    [EmailAddress(ErrorMessage = "Email inválido")]
    public string Email { get; set; } = string.Empty;

    [Required(ErrorMessage = "Telefone é obrigatório")]
    [Phone(ErrorMessage = "Telefone inválido")]
    public string Phone { get; set; } = string.Empty;

    [Required(ErrorMessage = "Mensagem é obrigatória")]
    public string Message { get; set; } = string.Empty;
}
